WSDL2DISPATCH(1)

NAME
wsdl2dispatch - generate Python code skeleton for SOAP server from WSDL

SYNOPSIS
wsdl2dispatch -f wsdlfile | -u url [options]

DESCRIPTION
wsdl2dispatch is a utility to generate a code skeleton from a WSDL file for a SOAP server in Python, using ZSI. The programmer still has to implement the HTTP server / request handler and the hooks to invoke the actual worker methods. Note, however, that ZSI also includes ZSI.ServiceContainer which implements the server functionality.

OPTIONS

-f wsdlfile
    Specifies an on-disk WSDL file to parse.

-u url
    Specifies a URL pointing to the WSDL file to be parsed.

-h  Display a brief help message.

-e  Enables experimental server code generation.

-d outputdir
    Specifies the directory where the output files will be placed.

-t typesmodule
    Specifies a module name to use as the types implementation.

AUTHOR
This manpage written by Tristan Seligmann.